Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jbox2d.collision
Enum ShapeType

    java.lang.Object
      java.lang.Enum<ShapeType>
          org.jbox2d.collision.ShapeType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ShapeType>

    public enum ShapeType

extends java.lang.Enum<ShapeType>

Enum Constant Summary
`BOX_SHAPE`
`CIRCLE_SHAPE`
`MESH_SHAPE`
`POLYGON_SHAPE`
`SHAPE_TYPE_COUNT`
`UNKNOWN_SHAPE`

Method Summary
`static ShapeType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ShapeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UNKNOWN_SHAPE

    public static final ShapeType UNKNOWN_SHAPE

### CIRCLE_SHAPE

    public static final ShapeType CIRCLE_SHAPE

### BOX_SHAPE

    public static final ShapeType BOX_SHAPE

### POLYGON_SHAPE

    public static final ShapeType POLYGON_SHAPE

### MESH_SHAPE

    public static final ShapeType MESH_SHAPE

### SHAPE_TYPE_COUNT

    public static final ShapeType SHAPE_TYPE_COUNT

Method Detail

### values

    public static final ShapeType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ShapeType c : ShapeType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ShapeType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD